Bug 242874 - Kernel BUG at tcp_output:927
Kernel BUG at tcp_output:927
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
low Severity urgent
: ---
: ---
Assigned To: Linda Wang
Martin Jenner
Depends On:
  Show dependency treegraph
Reported: 2007-06-06 02:54 EDT by aqjh
Modified: 2007-11-27 18:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-27 18:41:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
log file from netdump (38.14 KB, text/plain)
2007-06-06 02:54 EDT, aqjh
no flags Details

  None (edit)
Description aqjh 2007-06-06 02:54:14 EDT
Description of problem:
kernel panic, see the attachment

Version-Release number of selected component (if applicable):
kernel-smp-2.6.9-55.EL.x86_64.rpm kernel-smp-2.6.9-55.EL.i686.rpm
kernel-smp-2.6.9-42.EL.x86_64.rpm kernel-smp-2.6.9-42.EL.i686.rpm
kernel-smp-2.6.9-42.0.10.EL.x86_64.rpm kernel-smp-2.6.9-42.0.10.EL.i686.rpm

How reproducible:
install two instances of squid, each listens to the different ip's 80 port, as
the cache server for apache; then kernel panic at uncertain time
Actual results:
kernel panic

Additional info:
see the attachment, get from netdump
Comment 1 aqjh 2007-06-06 02:54:14 EDT
Created attachment 156325 [details]
log file from netdump
Comment 3 Bryan Mason 2007-06-21 18:32:20 EDT
Other customers who have reported this problem have also reported that setting
/proc/sys/net/ipv4/tcp_retrans_collapse = 0 has resolved this issue for them. 
You can make this a permanent setting by adding the following line to

    net.ipv4.tcp_retrans_collapse = 0
Comment 4 Linda Wang 2007-06-24 12:42:11 EDT
please let us know if setting net.ipv4.tcp_retrans_collapse=0 works for you?
If so, please close this bug.   Many thanks.
Comment 5 aqjh 2007-09-17 02:53:03 EDT
hi, all

when we set net.ipv4.tcp_retrans_collapse = 0, the problem is removed.
thanks all.

Best regards.

Comment 6 Linda Wang 2007-11-27 18:41:57 EST
closing this issue based on comment#5.

Note You need to log in before you can comment on or make changes to this bug.